<?php
// Relative
$relative = '../';
$path = $relative. 'data/other/';

# get correct id for plugin
$thisfile=basename(__FILE__, ".php");


# register plugin
register_plugin(
	$thisfile,
	'Cumbe_guestbook',
	'4.1',
	'Cumbe',
	'http://',
	'Descripción:  muestra y graba los comentarios públicos de tus visitas',
	'plugins', //page type
	'gbook'
);

//set internationalization

if (basename($_SERVER['PHP_SELF']) != 'index.php') { // back end only
  i18n_merge('guestbook', $LANG);
  i18n_merge('guestbook', 'en_US');
}

//añadimos pestaña a sidebar de plugins
add_action('plugins-sidebar','createSideMenu',array('guestbook',i18n_r('guestbook/GBOOK')));

///////////////////////////////////////////////
//////   BACK END - ADMIN - PLUGINS  //////////
///////////////////////////////////////////////

function gbook(){
    global $i18n, $LANG;

    $log_name = 'guestbook.log';
    $log_path = GSDATAOTHERPATH.'logs/';
    $log_file = $log_path . $log_name;
    //traducción i18n
    i18n_merge('guestbook', $LANG) || i18n_merge('guestbook','en_US');

    if(file_exists($log_file)) {

    	if (@$_GET['action'] == 'delete' && strlen($log_name)>0) {
	    	unlink($log_file);
		exec_action('logfile_delete');
            ?>
		<label>Log <?php echo $log_name;?> <?php echo $i18n['MSG_HAS_BEEN_CLR']; ?>
                </div>
    		</div>
	    	<div id="sidebar" >
		    	<?php include('template/sidebar-plugins.php'); ?>
    		</div>
		<div class="clear"></div>
		</div>
		<?php get_template('footer'); ?>
            <?php
            exit;
	}

	//Eliminamos un registro: entry
	if (@$_GET['n_del'] != ''){
		$domDocument = new DomDocument();
		$domDocument->preserveWhiteSpace = FALSE; 
		$domDocument->load($log_file);
		$domNodeList = $domDocument->documentElement;
        	$domNodeList = $domDocument->getElementsByTagname('entry');
		$ndel = @$_GET['n_del'];
		$ndL = $domNodeList ->item($ndel)->parentNode;
		$ndL -> removeChild($domNodeList ->item($ndel));

		//grabo de nuevo el documento modificado.
		 $domDocument->save($log_file);
	}     

        //load data of xml
        $log_data = getXML($log_file);
        //fin eliminar registro
        ?>

	<label><?php echo $i18n['VIEWING'];?>&nbsp;<?php echo $i18n['LOG_FILE'];?>: &lsquo;<em><?php echo @$log_name; ?></em>&rsquo;</label>
	<div class="edit-nav" >
	<a href="load.php?id=guestbook&action=delete" accesskey="c" title="<?php echo $i18n['CLEAR_ALL_DATA'];?> <?php 	echo $log_name; ?>?" /><?php echo $i18n['CLEAR_THIS_LOG'];?></a>
	<div class="clear"></div>
	</div>

	<ol class="more" >
	<?php
	$count = 0;
	foreach ($log_data as $log) {
		echo '<li><p style="font-size:11px;line-height:15px;" ><b style="line-height:20px;" >'.$i18n['LOG_FILE_ENTRY'].'</b><a style="padding-left: 50px;" title="'.i18n_r('guestbook/ndel').'" href="load.php?id=guestbook&n_del='.$count.'"><b>X</b></a><br />';
                $atrib = $log->attributes();
         	echo 'Atributo Id: '.$atrib['id'].'<br />';	
		foreach($log->children() as $child) {
					  $name = $child->getName();
                      			  if ($name == 'Nb' or $name == 'Cm' or $name == 'Sub' or $name == 'Ct' or $name == 'Em' ){
		                          	   echo '<b>'. i18n_r('guestbook/'.$name) .'</b>: ';
                			  } else {
			                           echo '<b>'. stripslashes(ucwords($name)) .'</b>: ';
		                          }
					  $d = $log->$name;
					  $n = strtolower($child->getName());
					  $ip_regex = '/^(?:25[0-5]|2[0-4]d|1dd|[1-9]d|d)(?:[.](?:25[0-5]|2[0-4]d|1dd|[1-9]d|d)){3}$/';
					  $url_regex = @"((https?|ftp|gopher|telnet|file|notes|ms-help):((//)|())+[wd:#@%/;$()~_?+-=.&]*)";

					  //check if its an url address
					  if (do_reg($d, $url_regex)) {
					  	$d = '<a href="'. $d .'" target="_blank" >'.$d.'</a>';
					  }

					  //check if its an ip address
					  //if (do_reg($d, $ip_regex)) {
                                          if (substr($name, 0 , 2) == 'ip') {
	                                        if ($d == $_SERVER['REMOTE_ADDR']) {
					  		$d = $i18n['THIS_COMPUTER'].' (<a href="http://www.geobytes.com/IpLocator.htm?GetLocation&IpAddress='. $d.'" target="_blank" >'.$d.'</a>)';
					  	} else {
							$d = '(<a href="http://www.geobytes.com/IpLocator.htm?GetLocation&IpAddress='. $d.'" target="_blank" >'.$d.'</a>)';
					  	}
					  }

					  //check if its an email address
					  if (check_email_address($d)) {
					  	$d = '<a href="mailto:'.$d.'">'.$d.'</a>';
					  }

					  //check if its a date
					  if ($n === 'date') {
						$d = substr($d,0,strpos($d,'+')-1);
					  	$d = lngDate($d);
					  }

					  //echo stripslashes($d);
					  echo html_entity_decode($d, ENT_QUOTES, 'UTF-8');
					  echo ' <br />';
					}
					echo "</p></li>";
					$count++;
		}

		?>
		</ol>

        <?php
        }
        else{   //If file does not exist
                ?>
		<label><?php echo $i18n['MISSING_FILE']; ?>: &lsquo;<em><?php echo @$log_name; ?></em>&rsquo;</label>
                <?php
            }
    }
///////////////////////////////////////////////
//////   FRONT END - ADMIN - PLUGINS  /////////
///////////////////////////////////////////////

function sv_book($usu, $cada, $eleg, $cpt){
    global $EMAIL;
    global $SITEURL;
    global $i18n;
    global $LANG;

    if (file_exists(GSDATAPATH.'users/'.$usu.'.xml')) {
                $data = getXML(GSDATAPATH.'users/'.$usu.'.xml');  
		$EMAIL = $data->EMAIL;
                $LANG = $data->LANG;
    }    

    //traducción idiomas i18n
        i18n_merge('guestbook', $LANG) || i18n_merge('guestbook','en_US');  


    if (file_exists('gsconfig.php')) {
	    include_once('gsconfig.php');
    }
    // Debugging
    if (defined('GSDEBUG')){
	error_reporting(E_ALL | E_STRICT);
    	ini_set('display_errors', 1);
    } else {
	error_reporting(0);
    	@ini_set('display_errors', 0);
    }



    $err = '';

    $log_name = 'guestbook.log';
    $log_path = GSDATAOTHERPATH.'logs/';
    $log_file = $log_path . $log_name;

    if(file_exists($log_file)) {
	    $log_data = getXML($log_file);
    }

?>
    <STYLE TYPE="text/css">
    <!--
      #tabla {
        background-color: #EEEEEE;
        width: 550px;
        line-height: 22px;
        /*firefox*/
        -moz-border-radius: 4px 4px 10px 10px;
        /*crome, safari, opera*/
        border-radius: 4px 4px 10px 10px;
      }
      .th{
        /*firefox*/
        -moz-border-radius: 4px 4px 4px 4px;
        background-image: -moz-linear-gradient(0% 0 0deg, #300000, #F88888);
        /*crome, safari, opera(no existe gradiente)*/
        border-radius: 4px 4px 4px 4px;
        background-image: -webkit-gradient(linear, 0% 100%, 100% 100%, from(#DB1300), to(#FCCDA4));
        
      }
      .td{
        width: 500px;
        /*firefox*/
        background-image: -moz-linear-gradient(0% 0 0deg, #EEEEEE, #FFFFFF);
          
        /*crome, safari, opera(no existe gradiente)*/
        background-image: -webkit-gradient(linear, 0% 100%, 100% 100%, from(#EEEEEE), to(#FFFFFF));
               
      }

      #tablar {
        background-color: #D2D2D2;
        width: 500px;
        line-height: 22px;
        margin-left: 30px;
        margin-top: 4px;
        /*firefox*/
        -moz-border-radius: 4px 4px 10px 10px;
        /*crome, safari, opera*/
        border-radius: 4px 4px 10px 10px;
      }
      .thr{
        /*firefox*/
        -moz-border-radius: 4px 4px 4px 4px;
        background-image: -moz-linear-gradient(0% 0 0deg, #BD1300, #F88888);
        /*crome, safari, opera(no existe gradiente)*/
        border-radius: 4px 4px 4px 4px;
        background-image: -webkit-gradient(linear, 0% 100%, 100% 100%, from(#DB1300), to(#FCCDA4));
        
      }

      .capt{
         margin-left: 15px;
         /*firefox*/
         -moz-transform-origin: 52% -32%;
         -moz-transform: scale(1) rotate(4deg) translate(0px, 19px) skew(-25deg, 0deg); padding: 0px 0px;
         /*-moz-transform: scale(1) rotate(4deg) translate(0px, 19px) skew(-35deg, 0deg); padding: 0px 0px;*/
         /*crome, safari*/
         -webkit-transform-origin-x: 52%;
         -webkit-transform-origin-y: -32%;
         -webkit-transform: scale(1) rotate(4deg) translate(0px, 19px) skew(-25deg, 0deg); padding: 0px 0px;
         /*opera*/
         -o-transform-origin: 52% -32%;
         -o-transform: scale(1) rotate(4deg) translate(0px, 19px) skew(-25deg, 0deg); padding: 0px 0px;
      }

    -->
    </STYLE>
           <!-- if you want that show the name of guestbook, discomment the next line -->
           <!--  <div style="font-size:35px; letter-spacing:1px; line-height:35px; margin:22px 20px 10px;"><?php //echo i18n('guestbook/GBOOK'); ?></div> -->


	<script type="text/javascript" language="javascript">
        <!--
		function Insertcom(id){
                    var frm=document.getElementById(id);
                    if(frm.style.display=="block"){
                       frm.style.display="none";
                    }
                    else
                    if(frm.style.display=="none"){
		       frm.style.display="block";
		    }

                    
                }
        -->
	</script> 
	<?php
                //cargamos array de emoticonos
                $array_emot = emot('array','id');
                $myfile=''; 
		$count = 1;
		$at = 0;
		$mi='';
		$pagi=1;
		$id=1;
                if (@$_GET['pag'] != ''){ $pagi= @$_GET['pag']; }
		if(file_exists($log_file)){
   			$domDocument = new DomDocument();
			$domDocument->load($log_file);

    			//Creamos DOMXPath para filtrar por answ=n
			$xpath = new DOMXPath($domDocument);

			$verN = $xpath->query("entry[answ='n']");			
			$num = 	$verN->length;
			//buscamos $id que le toca, es el parámetro que nos define el nº de comentario nuevo(answ='n') que se graba en el log.	
                        $verNodeU = $xpath->query("entry/Id[../answ='n']");
			$dnlLen=$verNodeU->length;
			$id= ($verNodeU->item($num - 1)->nodeValue) + 1;

                        $verNodeU = $xpath->query("entry");
			$dnlLen= $verNodeU->length;

			//paginación
			if ($num/$cada > 1){						                        
				echo 'Pag.: ';
				for ($i=1; $i<($num/$cada)+1; $i++){
                                     if ($i == $pagi){ 
					$negri='color: #800000; font-size:21px;';
				     } else {
					$negri='';	
				     }	
				     $mi.= '<a href="?pag='.$i.'" style="text-decoration: none;'.$negri.'">'.$i.'</a> | ';   
				}
				if ($pagi == 1){
					$pprev='';
				} else {
					$pprev = '<a href="?pag='.($pagi - 1).'" style="text-decoration: none;" title="previous page"> Previous </a>| ';
				}	
				if ($pagi == $i - 1){
					$pnext='';
				} else {
					$pnext = ' |<a href="?pag='.($pagi + 1).'" style="text-decoration: none;" title="next page"> Next </a>';
				}
				echo $pprev.substr($mi ,0 , -2).$pnext.'<br />';	
			}

			
			//orden
			if ($eleg != 'I' && $eleg != 'D'){$eleg = 'I'; }
			if ($eleg == 'I'){
				$num = 0;
			} elseif ($eleg =='D') {
				$num= $dnlLen;
			}			

		for ($q= 0; $q< $dnlLen+1; $q++){
			$verNodeU =$xpath->query("entry[answ='n' and position()=".$num."]");
			foreach($verNodeU as $node) {
			   if ($count <= ($cada * $pagi) && $count > ($cada * ($pagi-1))) {

			   echo '<table ID=tabla cellspacing=0 cellpadding=2 style="display: block;">';
			   $dNdList = $node->getElementsByTagName( "*" );
			   $at = $node->getAttribute('id');
			   foreach($dNdList as $node) {
				 $name= $node->nodeName;
				 $d =$node->nodeValue;
				 $n = strtolower($name);
				 $ip_regex = '/^(?:25[0-5]|2[0-4]d|1dd|[1-9]d|d)(?:[.](?:25[0-5]|2[0-4]d|1dd|[1-9]d|d)){3}$/';
				 $url_regex = @"((https?|ftp|gopher|telnet|file|notes|ms-help):((//)|())+[wd:#@%/;$()~_?+-=.&]*)";      
				  //check if its an url address
				  if (do_reg($d, $url_regex)) {
				  	$d = '<a href="'. $d .'" target="_blank" >&nbsp;'. $d.'</a>';
				  }

				  //check if its an email address
				  if (check_email_address($d)) {
				  	$d = '<a href="mailto:'.$d.'">&nbsp;'. $d.'</a>';
				  }

				  //check first line
				  if ($n == 'nb') {
                                        //$lin = '<tr><th class=th colspan=2 align="left" valign="center" bgcolor="#BD1300"><font color="#FFFFFF">'.$count.htmlentities('º', ENT_QUOTES, "UTF-8").') '.stripslashes($d);
                                        $lin = '<tr><th class=th colspan=2 align="left" valign="center" bgcolor="#BD1300"><font color="#FFFFFF">&nbsp;'.$count.htmlentities('º', ENT_QUOTES, "UTF-8").') '.html_entity_decode($d);
				  }
				  else if ($n == 'date'){
					$d = substr($d,0,strpos($d,'+')-1);
				  	$d = lngDate($d);
					$lin .= '<span style="float: right; padding-right: 5px; font-size: 12px;">'.htmlentities(i18n_r('guestbook/Ps'), ENT_QUOTES, "UTF-8").' '.stripslashes($d).'</span></font></th></tr>';
					echo $lin;
				  }
				  else if ($n == 'cm') {
                                       echo '<tr><th style="padding: 0 3px; width: 30px;" align="right" valign="top">'. i18n_r('guestbook/'.$name) .':</th>';
                                       foreach ($array_emot as $key => $val) { 
                                             $d=str_replace($array_emot[$key], '<img src="'.$SITEURL.'plugins/guestbook/img_emot/'.substr($array_emot[$key],1, strlen($array_emot[$key])-2).'.gif" alt="'.$array_emot[$key].'" />', $d);
                                             
					}	
					//echo '<td class=td align="left" valign="top">'.stripslashes($d).'</td></tr>';
					echo '<td class=td align="left" valign="top">&nbsp;'.html_entity_decode($d).'</td></tr>';

				  }

				  else if ($n == 'captcha'){}
  				  //If you want that shows email comment the next line.
				  else if ($n === 'em'){}
   				  else if ($n == 'ip_address'){}
				  else if ($n == 'answ'){}	
				  else if ($n == 'id' || $n == 'subid'){}
				  else {
					if (trim($d) != '' && $d != i18n_r('guestbook/guest_FORM_SUB')){

                                            echo '<tr><th style="padding: 0 3px; width: 30px;" align="right" valign="center">'. i18n_r('guestbook/'.$name).':</th>'; 
                                            //echo '<td class=td align="left" valign="center">'.stripslashes($d).'</td></tr>';
                                            echo '<td class=td align="left" valign="center">&nbsp;'.html_entity_decode($d).'</td></tr>';
				        }
				  }	

			    } //se acaba segundo foreach


//////////////////          //insertamos las respuestas a este comentario
                        echo '<tr><td class="td" colspan="2">';
			$verNodeU_r = $xpath->query("entry[Id=$at and answ='y']");
			$dnlLen_r=$verNodeU_r->length;
			$countr=1;
			foreach($verNodeU_r as $node) {
			   echo '<table ID=tablar cellspacing=0 cellpadding=2>';
			   $dNdList_r = $node->getElementsByTagName( "*" );
			   $at_r = $node->getAttribute('id');
			   foreach($dNdList_r as $node) {
				 $name= $node->nodeName;
				 $d =$node->nodeValue;
				 $n = strtolower($name);
				 $ip_regex = '/^(?:25[0-5]|2[0-4]d|1dd|[1-9]d|d)(?:[.](?:25[0-5]|2[0-4]d|1dd|[1-9]d|d)){3}$/'; 
				 $url_regex = @"((https?|ftp|gopher|telnet|file|notes|ms-help):((//)|(\\\\))+[\w\d:#@%/;$()~_?\+-=\\\.&]*)";
				  //check if its an url address
				  if (do_reg($d, $url_regex)) {
				  	$d = '<a href="'. $d .'" target="_blank" >&nbsp;'.$d.'</a>';
				  }

				  //check if its an email address
				  if (check_email_address($d)) {
				  	$d = '<a href="mailto:'.$d.'">&nbsp;'.$d.'</a>';
				  }

				  //check first line
				  if ($n == 'nb') {
                                        $lin = '<tr><th class=thr colspan=2 align="left" valign="center" bgcolor="#BD1300"><font color="#FFFFFF">&nbsp;* '.html_entity_decode($d);
				  }
				  else if ($n == 'date'){
					$d = substr($d,0,strpos($d,'+')-1);
				  	$d = lngDate($d);
					$lin .= '<span style="float: right; padding-right: 5px; font-size: 12px;">'.htmlentities(i18n_r('guestbook/Ps'), ENT_QUOTES, "UTF-8").' '.stripslashes($d).'</span></font></th></tr>';
					echo $lin;
				  }
				  else if ($n == 'cm') {
                                       echo '<tr><th style="padding: 0 3px; width: 30px;" align="right" valign="top">'. i18n_r('guestbook/'.$name) .':</th>';
                                       foreach ($array_emot as $key => $val) { 
                                             $d=str_replace($array_emot[$key], '<img src="'.$SITEURL.'plugins/guestbook/img_emot/'.substr($array_emot[$key],1, strlen($array_emot[$key])-2).'.gif" alt="'.$array_emot[$key].'" />', $d);
                                             
					}	
					//echo '<td class=td align="left" valign="top">'.stripslashes($d).'</td></tr>';
					echo '<td class=td align="left" valign="top">&nbsp;'.html_entity_decode($d).'</td></tr>';

				  }

				  else if ($n == 'captcha'){}
  				  //If you want that shows email comment the next line.
				  else if ($n == 'em'){}
   				  else if ($n == 'ip_address'){}
				  else if ($n == 'answ'){}	
				  else if ($n == 'id' || $n == 'subid'){}
				  else {
					if (trim($d) != '' && $d != i18n_r('guestbook/guest_FORM_SUB')){	
                                            echo '<tr><th style="padding: 0 3px; width: 30px;" align="right" valign="center">'. i18n_r('guestbook/'.$name) .':</th>'; 
                                            //echo '<td class=td align="left" valign="center">'.stripslashes($d).'</td></tr>';
                                            echo '<td class=td align="left" valign="center">&nbsp;'.html_entity_decode($d).'</td></tr>';
				        }
				  }	

			    } //se acaba segundo foreach de respuestas
				echo '</table>';  //se termina la tabla de respuestas
				$countr++;
			} //se acaba primer foreach de respuestas
//////////////////
				  echo '</td></tr>';
                                  echo '<tr><td class="td" colspan="2">';
                                     myform('none', 'y', $log_file, $EMAIL, $count, $at, $cpt);
                                  echo '</td></tr>'; 
                                  echo '<tr><td class="td" colspan="2">&nbsp;&nbsp;&nbsp;<a style="-moz-border-radius: 5px 5px 5px 5px; border-radius: 5px 5px 5px 5px; border: thin outset; padding: 1px 2px; text-decoration: none;" href=javascript:Insertcom("form'.$count.'")> '.i18n_r('guestbook/mf').' </a></td></tr>';
				  echo '</table>';  //se termina la tabla de comentario principal
				  echo "<br />";
			}			
				$count++;
			
			} //se acaba primer foreach del comentario principal

			//sumamos o restamos si es orden creciente ó decreciente
			if ($eleg == 'I'){
				$num++;
			} else {
				$num--;
			}
		}  //se acaba for ($q= 0; $q< $dnlLen; $q++)
		}  //se acaba si exite log
	?>

    <script type="text/javascript" language="javascript">
    <!--
       function Smile(id,texto){
              var frm=document.getElementById(id);
              frm.comentario.value = frm.comentario.value + texto;
        }
    -->
    </script>
    <?php
    //muestro form al final 
      echo '<div style="font-size: 20px; letter-spacing: 1px; line-height: 20px; margin: 22px 20px 0px 0px;">'.i18n_r('guestbook/comm').'</div>';
    myform('block','n', $log_file,$EMAIL, $id, $id, $cpt);

    }

    function myform($dpl, $nn, $myfile, $email, $count, $at, $cpt) {
       global $SITEURL;
       global $LANG;
       $request_uri = getenv ("REQUEST_URI");       // Requested URI

       //cargo emoticonos
       $s_emot = emot("img","form".$count);
       echo '<form style="display:'.$dpl.';" name="formulario" id="form'.$count.'" action="'.$SITEURL.'plugins/guestbook/comprueba.php?tp=guest&ans='.$nn.'&id='.$at.'" method="post">'; 
       echo '<table border=0 cellspacing=0 cellpadding=2 style="border-top: 1px dotted #CCCCCC; border-bottom: 1px dotted #CCCCCC; padding: 10px 0px;">';
       echo '<tr><td colspan="2" style=" vertical-align: middle;" align="right"><br />';
       echo '</td></tr>';
       echo '<tr><td style=" vertical-align: middle; width: 30px;" align="right">';
	           echo '<p style="margin-bottom: 3px;"><label>(*)'.i18n_r('guestbook/Nb').':</label></p></td><td><input style="margin-left:2px; width: 444px;" type="text" name="guest[nombre]" />';
       echo '</td></tr>';
       echo '<tr><td align="right" style="vertical-align: middle;">';
		    echo '<p style="margin-bottom: 3px;"><label>'.i18n_r('guestbook/Sub').':</label></p></td><td><input style="margin-left:2px; width: 444px;" type="text" name="guest[tema]" />';
       echo '</td></tr>';
       echo '<tr><td align="right" style="vertical-align: middle;">';
		    echo '<p style="margin-bottom: 3px;"><label>'.i18n_r('guestbook/Em').':</label></p></td><td><input style="font-style: italic; font-size: small; margin-left:2px; width: 444px;" type="text" name="guest[email]" value="'.i18n_r('guestbook/em_text').'" />';
       echo '</td></tr><tr><td align="right" style="vertical-align: middle;">';
		    echo '<p style="margin-bottom: 3px;"><label>'.i18n_r('guestbook/Ct').':</label></p></td><td><input style="margin-left:2px; width: 444px;" type="text" class="text" name="guest[city]" />';
       echo '</td></tr>';
       echo '<tr><td colspan="2" style="vertical-align: middle;">';
		    echo '<p style="line-height: 22px; margin-bottom: -4px;"><label>(*)'.i18n_r('guestbook/Cm').':</label></p>';
                    echo '&nbsp;&nbsp;<textarea name="comentario" rows="4" style="width: 505px;"></textarea>';
       echo '</td></tr>';
       echo '<tr><td colspan="2" style="border-bottom: 1px dotted rgb(204, 204, 204);">'.$s_emot;

       echo '</td></tr>';
       if ($cpt=='Y'){
	       echo '<tr><td colspan="2" style="vertical-align: middle;" align="left">';
			echo '&nbsp;&nbsp; ';
               	 	echo '<font size="4"><img class=capt src="'.$SITEURL.'plugins/guestbook/img_cpt.php?url='.GSPLUGINPATH.'guestbook/" />    CAPTCHA Code</font><br /><input style="margin-left: 157px;" type="button" value="Reload" onClick="window.location.reload()"><span style="font-size: 8pt; font-style: italic;"> '.i18n_r('guestbook/rl').'</span>';
               		echo '<div>&nbsp;&nbsp;<input type="text" style="width: 130px; font-size:20px;" value="" name="guest[pot]" /><span style="font-size: 8pt; font-style: italic;"> (*)'.i18n_r('guestbook/Cpt').'</span></div>';
       		echo '</td></tr>';
	}
       echo '<tr><td align="center">';
       	       echo '<input type="submit" style="margin-left: 7px; width: 60px;" value="'.i18n_r('guestbook/Ev').'" id="guest'.$nn.'" name="guest-submit" />';
       echo '</td>';
       echo '<td align="right">(*)'.i18n_r('guestbook/Rf');
               echo '<input type="hidden" name="guest[q_email]" value="'.$email.'">';
	       echo '<input type="hidden" name="guest[q_file]" value="'.$myfile.'">';
	       echo '<input type="hidden" name="guest[q_uri]" value="'.$request_uri.'">';
	       echo '<input type="hidden" name="guest[q_count]" value="'.$count.'">';
	       echo '<input type="hidden" name="guest[q_lang]" value="'.$LANG.'">';
               echo '<input type="hidden" name="guest[q_cpt]" value="'.$cpt.'">';
       echo '</td>';
       echo '</tr>';
       echo '</table>';
       echo '</form>';

    }

function emot($opcion, $id){
  global $SITEURL;
  $ruta = GSPLUGINPATH.'guestbook/img_emot/';
  $array_emot= array();
  $s_emot = ''; 
  if (is_dir($ruta)) {
      if ($dh = opendir($ruta)){
         while (($file = readdir($dh)) !== false){
         	if($file!="." AND $file!=".." AND $file!=".htaccess" AND is_dir($ruta . $file)== false AND strtolower(substr($file,-4))=='.gif'){
			$array_emot[substr($file, 0, strlen($file)-4)] = '['.substr($file, 0, strlen($file)-4).']';
                        $s_emot = $s_emot.' <a href=javascript:Smile("'.$id.'","['.substr($file, 0, strlen($file)-4).']")><img src="'.$SITEURL.'plugins/guestbook/img_emot/'.substr($file, 0, strlen($file)-4).'.gif" /> </a>';
                }
         }  
         closedir($dh);
      }
  }         
  if ($opcion == 'array'){
              return $array_emot;
  }
  elseif ($opcion == 'img') {
              return $s_emot;  
  }

}
?>
